Package com.xebialabs.deployit.plugin.api.udm

## Enum Property.Size

- java.lang.Object
- - java.lang.Enum<Property.Size>
  - - com.xebialabs.deployit.plugin.api.udm.Property.Size

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Property.Size>`
  Enclosing class:
    Property

      public static enum Property.Size
      extends java.lang.Enum<Property.Size>

  Defines a number of standard sizes for configuration item properties.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEFAULT` | Defines that the configuration item property should be shown using the default size.
    `LARGE` | Defines that the configuration item property should be shown using the large size.
    `MEDIUM` | Defines that the configuration item property should be shown using the medium size.
    `SMALL` | Defines that the configuration item property should be shown using the small size.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Property.Size` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Property.Size[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final Property.Size DEFAULT

      Defines that the configuration item property should be shown using the default size.

    - #### SMALL

          public static final Property.Size SMALL

      Defines that the configuration item property should be shown using the small size.

    - #### MEDIUM

          public static final Property.Size MEDIUM

      Defines that the configuration item property should be shown using the medium size.

    - #### LARGE

          public static final Property.Size LARGE

      Defines that the configuration item property should be shown using the large size.

  - ### Method Detail

    - #### values

          public static Property.Size[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Property.Size c : Property.Size.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Property.Size valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null